.mgz-product-items .product-item-info {
    width: 100%;
}

.mgzblock-content .product-item {
    width: 100% !important;
}

.mgzblock-content .product-item .product-item-info {
    padding: 10px;
    border: 1px solid transparent;
    width: 100%;
    display: block;
}

.mgzblock-content .product-item .product-item-info:hover {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    margin: 0;
    padding: 10px;
    border-color: transparent;
}

.mgzblock-content .product-item .product-item-photo {
    padding: 0;
    display: table-cell;
    vertical-align: top;
    width: 1%;
}

.mgzblock-content .product-item .product-item-info .product-item-details {
    display: table-cell;
    vertical-align: top;
}

@media (min-width: 640px) {
    .mgz-product-items .mgz-grid-item .product-item-info {
        padding: 10px;
        border: 1px solid transparent;
    }

    .mgz-grid-item .product-item-info:hover {
        background: #ffffff;
        border-color: #bbbbbb;
        position: relative;
        z-index: 2;
    }
}